> For the complete documentation index, see [llms.txt](https://docs.silkbuilder.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.silkbuilder.com/tags/header.md).

# Header

The **silk:Header** tag defines the page header, which is statically located at the top. It will always be there, even if the page is scrolled. The page head holds the page title, which is located in the center of the head, and interaction buttons on the left and right of the title.

The "title" is not a property but the "content" of the tag. So, the title does not necessarily have to be just a "text".

## Tag Definition

Used standalone:

```xml
<silk:Header
  homeButton="false"
  logoutButton="false"
  helpButton="false"
  cssClass=""
/>
```

Used as a container:

```xml
<silk:Header
  homeButton="false"
  logoutButton="false"
  helpButton="false"
  cssClass=""
>
   Contains: Title of the header and optionally silk:Button tags.
</silk:Header>
```

## Properties

### homeButton

Will add a button with a "home" icon to the top left of the header.\
Default Value: *false*.

### logoutButton

Will add a button with a "lock" icon to the top left of the header.\
Default Value: *false*.

### helpButton

Will disable the help icon used to display interface explanations.\
Default Value: *false*.

### cssClass

Add extra classes to the header "DIV" wrapper to change its default appearance.\
Default Value: *Empty*.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.silkbuilder.com/tags/header.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
